## apoo 1.3-4ubuntu1

=== debian/changelog ===
apoo (1.3-4ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Benjamin Montgomery <bmontgom@montynet.org>  Mon, 19 Dec 2005 21:07:50 -0600

apoo (1.3-4) unstable; urgency=low

  * Bug fix: "the input of a zero was ignored by the interface (!!)"

 -- Rogerio Reis <rvr@debian.org>  Thu, 15 Dec 2005 11:49:36 +0000

apoo (1.3-3ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * debian/control:
    - default package defaults now to python2.4-apoo

 -- Stephan Hermann <sh@sourcecode.de>  Wed,  9 Nov 2005 23:26:59 +0100

apoo (1.1-7ubuntu1) hoary; urgency=low

  * Python transition (2.2 -> 2.3, 2.3 -> 2.4).

 -- Daniel Holbach <dh@mailempfang.de>  Tue, 22 Feb 2005 12:48:54 +0100

apoo (1.3-3) unstable; urgency=low

  * Python 2.4 supported

 -- Rogerio Reis <rvr@debian.org>  Mon, 17 Oct 2005 15:14:34 +0100

apoo (1.3-2) unstable; urgency=low

  * Input integers throught graphical interface bug solved

 -- Rogerio Reis <rvr@debian.org>  Mon, 13 Dec 2004 12:30:19 +0000

apoo (1.3-1) unstable; urgency=low

  * New upstream release
  * Memory mapped IO (new flavour)

 -- Rogerio Reis <rvr@debian.org>  Mon,  6 Dec 2004 12:56:43 +0000

apoo (1.2-1) unstable; urgency=low

  * New upstream release
  * Memory mapped IO

 -- Rogerio Reis <rvr@debian.org>  Thu,  2 Dec 2004 10:39:51 +0000

apoo (1.1-7) unstable; urgency=low

  * online documentation corrected

 -- Rogerio Reis <rvr@debian.org>  Wed, 15 Sep 2004 22:42:08 +0100

apoo (1.1-6) unstable; urgency=low

  * Bug fix: "build error without failure, missing build-dep", thanks to
    Frank Lichtenheld (Closes: #250210).

 -- Rogerio Reis <rvr@debian.org>  Fri,  4 Jun 2004 16:17:54 +0100

apoo (1.1-5) unstable; urgency=low

  * Generation of both normal and "optimized" objects.
  * Documentation corrected (icons now are local).
  * Description changed.

 -- Rogerio Reis <rvr@debian.org>  Tue, 14 Oct 2003 22:26:54 +0100

apoo (1.1-4) unstable; urgency=low

  * compileall call now depends on the python version installed (closes: #205921)

 -- Rogerio Reis <rvr@debian.org>  Mon, 18 Aug 2003 09:07:31 +0100

apoo (1.1-3) unstable; urgency=low

  * Error in control file. Lint complained of the usage of Build-Depends
    instead of Build-Depends-Indep.
  * apoo generated as dummy package. python2.2-apoo and python2.3-apoo
    generated.
  
 -- Rogerio Reis <rvr@debian.org>  Tue, 12 Aug 2003 00:35:40 +0100

apoo (1.1-2) unstable; urgency=low

  * Help windows not resizable.
  * Timestamps of some files were from the epoch.

 -- Rogerio Reis <rvr@debian.org>  Sun, 10 Aug 2003 00:47:40 +0100

apoo (1.1-1) unstable; urgency=low

  * Initial Release. (closes: #204761)

 -- Rogerio Reis <rvr@debian.org>  Sun, 10 Aug 2003 00:16:17 +0100
