=== debian/control ===
Source: apoo
Section: misc
Priority: optional
Maintainer: Rogerio Reis <rvr@debian.org>
Architecture: any
Build-Depends: debhelper (>> 4.0.0), python, python2.2, python2.3, python2.4
Standards-Version: 3.6.2

Package: apoo
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python-tk, python2.4-apoo
Description: An Assembly course aid 
 A virtual machine (a CPU) created for teaching purposes. All the programs 
 are written in Python and are very easy to extend to incorporate new 
 assembly-like pseudo-intuctions. A TK-based interface is provided, to 
 help debugging or just examining the execution of programs.
 Another program permits a tutor to create exercises and write rules to
 automaticaly grade the students' solutions. 
 .
 This package is an empty dummy package that always depends on
 a package built for Debian's default Python version.


Package: python2.3-apoo
Architecture: all
Depends: python2.3, python-tk
Conflicts: apoo, python2.4-apoo
Description: An Assembly course aid 
 A virtual machine (a CPU) created for teaching purposes. All the programs 
 are written in Python and are very easy to extend to incorporate new 
 assembly-like pseudo-intuctions. A TK-based interface is provided, to 
 help debugging or just examining the execution of programs.
 Another program permits a tutor to create exercises and write rules to
 automaticaly grade the students' solutions. 
 .
 This package is built with python2.3

Package: python2.4-apoo
Architecture: all
Depends: python2.4, python-tk
Conflicts: apoo, python2.4-apoo
Description: An Assembly course aid 
 A virtual machine (a CPU) created for teaching purposes. All the programs 
 are written in Python and are very easy to extend to incorporate new 
 assembly-like pseudo-intuctions. A TK-based interface is provided, to 
 help debugging or just examining the execution of programs.
 Another program permits a tutor to create exercises and write rules to
 automaticaly grade the students' solutions. 
 .
 This package is built with python2.4
