=== debian/rules ===
#!/usr/bin/make -f
INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root
INSTALL_DATA = $(INSTALL) -m 644 -o root -g root
INSTALL_DIR = $(INSTALL) -d -m 755 -o root -g root
DESTDIR=`pwd`/debian
DOCS = docs/help_apoo.txt docs/help_ass.txt docs/help_tester.txt

EXAMPLES = examples/abs.apoo examples/fact.apoo examples/fib.apoo \
examples/ifx1.apoo examples/ln.apoo examples/ln2.apoo \
examples/max.apoo examples/mems.apoo examples/push.apoo \
examples/sti.apoo examples/submax.apoo examples/subsoma.apoo \
examples/t1.apoo examples/t1.tutor \
examples/test1.apoo examples/test1.tutor examples/test2.apoo \
examples/test2.tutor examples/teste2.apoo examples/while.apoo \
examples/while1.apoo

PYFILES = interface.py vpu.py vpu_tutor.py constants.py

DIRS =  usr/bin usr/lib/apoo usr/share/doc

PyVersions = 2.2 2.3 2.4

build: 
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: 
# 	dh_installchangelogs -i --package=$$PKG ; \

binary-indep: build install
	dh_testdir -i 
	dh_testroot -i
	dh_clean -k
	for v in ${PyVersions} ; do \
		PKG=python$$v-apoo ; \
		dh_installdirs --package=$$PKG ; \
		VDESTDIR="debian/$$PKG" ; \
		${INSTALL_DATA} debian/apoo.1x $$VDESTDIR/usr/share/man/man1 ; \
		dh_link --package=$$PKG	/usr/share/man/man1/apoo.1x /usr/share/man/man1/exec-apoo.1x ; \
		DOCDIR="debian/$$PKG/usr/share/doc/$$PKG" ; \
		${INSTALL_DATA} debian/changelog $$DOCDIR/changelog.Debian ; \
		PYTHON=/usr/bin/python$$v ; \
		${INSTALL_DATA} ${PYFILES} $$VDESTDIR/usr/lib/apoo ; \
		$$PYTHON subst.py %python% $$PYTHON < apoo.master > apoo ; \
		${INSTALL_PROGRAM} apoo $$VDESTDIR/usr/bin ; \
		$$PYTHON subst.py %python% $$PYTHON < exec-apoo.master > exec-apoo ; \
		${INSTALL_PROGRAM} exec-apoo $$VDESTDIR/usr/bin ; \
		rm apoo exec-apoo; \
		${INSTALL_DIR} $$DOCDIR/examples $$DOCDIR/html ; \
		dh_installexamples --package=$$PKG -i ${EXAMPLES} ; \
		${INSTALL_DATA} html/*.html $$DOCDIR/html ; \
		${INSTALL_DATA} html/*.css $$DOCDIR/html ; \
		${INSTALL_DATA} html/*.gif $$DOCDIR/html ; \
		dh_link --package=$$PKG -i /usr/share/doc/$$PKG/help_apoo.txt /usr/lib/apoo/help_apoo.txt ; \
		dh_link --package=$$PKG -i /usr/share/doc/$$PKG/help_ass.txt /usr/lib/apoo/help_ass.txt ; \
		dh_link --package=$$PKG -i /usr/share/doc/$$PKG/help_tester.txt /usr/lib/apoo/help_tester.txt ; \
		${INSTALL_DATA} debian/copyright $$DOCDIR ; \
		${INSTALL_DATA} ${DOCS} $$DOCDIR ; \
	done
	dh_installdirs --package="apoo"
	DOCDIR="debian/apoo/usr/share/doc/apoo/" ; \
	${INSTALL_DATA} debian/copyright $$DOCDIR ; \
	${INSTALL_DATA} debian/changelog $$DOCDIR/changelog.Debian
	dh_compress -i
	dh_installmenu 
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i 
	dh_gencontrol -i 
	dh_md5sums -i 
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: 
	echo ""

binary: binary-indep 
.PHONY: build clean binary-indep binary-arch binary install configure
