## apoo 1.3-8ubuntu1

=== debian/changelog ===
apoo (1.3-8ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * debian/ dir:
    - removed python2.3-apoo/ directory (strange, very)
    - removed all python2.3-* files
    - removed all python2.4-* files
    - removed python2.4-apoo/ directory (again, very strange)

 -- Stephan Hermann <sh@sourcecode.de>  Mon, 18 Sep 2006 15:19:31 +0200

apoo (1.3-8) unstable; urgency=low

  * NMU ack (Closes: #380753).

 -- Rogerio Reis <rvr@debian.org>  Mon, 21 Aug 2006 14:14:53 +0100

apoo (1.3-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380753):
    + modules are private, so we only need one version at the time.
    + simplify packaging accordingly.
  * Use more dh_* tools to simplify overcomplicated packaging.
  * Make exec-apoo find its tools, by appending /usr/lib/apoo to the sys.path.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 13 Aug 2006 02:14:03 +0200

apoo (1.3-7ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * Dropped all python2.3 build-deps and package creation

 -- Stephan Hermann <sh@sourcecode.de>  Fri,  7 Jul 2006 13:14:49 +0200

apoo (1.3-7) unstable; urgency=low

  * Bug fix: "apoo: Spelling mistakes in package descripton", thanks to
    Simon Waters (Closes: #362726).

 -- Rogerio Reis <rvr@debian.org>  Mon,  8 May 2006 13:42:56 +0100

apoo (1.3-5) unstable; urgency=low

  * Bug fix: "Stop building modules for python2.2", thanks
    to Matthias Klose (Closes: #351118).

 -- Rogerio Reis <rvr@debian.org>  Wed, 15 Feb 2006 11:40:21 +0000

apoo (1.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/python2.4-apoo.postinst: Use python2.4 rather than python2.2.
    Closes: #348770.
  * debian/control:
    - Remove spurious Architecture field from the source section.
    - Fix typo in the description of python2.4-apoo.

 -- Matej Vela <vela@debian.org>  Thu, 26 Jan 2006 09:41:48 +0100
