=== debian/control ===
Source: apoo
Section: misc
Priority: optional
Maintainer: Rogerio Reis <rvr@debian.org>
Build-Depends: debhelper (>> 4.0.0),
Build-Depends-Indep: python-dev, python-support (>= 0.4.0)
Standards-Version: 3.7.2

Package: apoo
Architecture: all
Depends: ${python:Depends}, python, python-tk
Conflicts: python2.3-apoo (<< 1.3-7.1), python2.4-apoo (<< 1.3-7.1)
Replaces: python2.3-apoo (<< 1.3-7.1), python2.4-apoo (<< 1.3-7.1)
Description: An Assembly course aid
 A virtual machine (a CPU) created for teaching purposes. All the programs
 are written in Python and are very easy to extend to incorporate new
 assembly-like pseudo-instuctions. A TK-based interface is provided, to
 help debugging or just examining the execution of programs.
 Another program permits a tutor to create exercises and write rules to
 automatically grade the students' solutions.
