=== debian/rules ===
#!/usr/bin/make -f
INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root
INSTALL_DATA = $(INSTALL) -m 644 -o root -g root
INSTALL_DIR = $(INSTALL) -d -m 755 -o root -g root
DESTDIR=`pwd`/debian/apoo
DOCS = docs/help_apoo.txt docs/help_ass.txt docs/help_tester.txt

EXAMPLES = examples/abs.apoo examples/fact.apoo examples/fib.apoo \
    examples/ifx1.apoo examples/ln.apoo examples/ln2.apoo \
    examples/max.apoo examples/mems.apoo examples/push.apoo \
    examples/sti.apoo examples/submax.apoo examples/subsoma.apoo \
    examples/t1.apoo examples/t1.tutor \
    examples/test1.apoo examples/test1.tutor examples/test2.apoo \
    examples/test2.tutor examples/teste2.apoo examples/while.apoo \
    examples/while1.apoo

PYFILES = interface.py vpu.py vpu_tutor.py constants.py

PYTHON = /usr/bin/python

DIRS =  usr/bin usr/lib/apoo usr/share/doc

build: 
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(RM) apoo exec-apoo

install:

binary-indep: build install
	dh_testdir -i 
	dh_testroot -i
	dh_clean -k

	dh_installdirs -i
	dh_installman -i debian/apoo.1x
	dh_link /usr/share/man/man1/apoo.1x /usr/share/man/man1/exec-apoo.1x

	${INSTALL_DATA} ${PYFILES} $(DESTDIR)/usr/lib/apoo
	set -e; \
	for file in apoo exec-apoo; do \
	    python subst.py %python% $(PYTHON) < $$file.master > $$file; \
	    ${INSTALL_PROGRAM} $$file $(DESTDIR)/usr/bin;                \
	done

	dh_installexamples -i ${EXAMPLES}

	dh_installdirs -i
	dh_installdocs -i ${DOCS} html/
	dh_installchangelogs -i
	dh_pysupport -i
	dh_compress -i
	dh_installmenu -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: 
	echo ""

binary: binary-indep 
.PHONY: build clean binary-indep binary-arch binary install configure
